/* $Id: connectionManager.h,v 1.7 2003/02/23 00:42:45 cfreeze Exp $
 */

#if !defined _CONNECTIONMANAGER_H_
#define  _CONNECTIONMANAGER_H_

//Forward Declarations
class connection;

class connectionManager {

public:
	connectionManager();
	~connectionManager();

	class connection * get_conn(int sock);

	class connection * new_cinfo(int sock, char * host);

	void del_cinfo(int sock);

	int host_connect(char * hostname, char * service, char * protocol);

	int get_ipc_sock(struct sockaddr_in * sin);

private:
	list<connection *> Connections;
};

#endif //  _CONNECTIONMANAGER_H_
